For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Restore

Returns the Restore by ID.

get
/snapshots/{snapshotId}/restores/{restoreId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
snapshotIdstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
restoreIdstring · uuidRequired

The ID (UUID) of the Restore.

Example: 39fe1580-552b-5182-8939-a3ac6c38f94c
Responses
200

Getting Restore was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Restore.

Example: 39fe1580-552b-5182-8939-a3ac6c38f94c
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Restore.

Example: /snapshots/{snapshotId}/restores/39fe1580-552b-5182-8939-a3ac6c38f94c
get/snapshots/{snapshotId}/restores/{restoreId}
GET /snapshots/{snapshotId}/restores/{restoreId} HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "39fe1580-552b-5182-8939-a3ac6c38f94c",
  "type": "restore",
  "href": "/snapshots/{snapshotId}/restores/39fe1580-552b-5182-8939-a3ac6c38f94c",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "In progress.",
    "restoreTime": "2026-01-01T00:00:00.000Z",
    "restoredSnapshotId": "123e4567-e89b-12d3-a456-426614174000"
  },
  "properties": {
    "replicasetId": "123e4567-e89b-12d3-a456-426614174000",
    "displayName": "In-Memory DB snapshot",
    "description": "Snapshot of the In-Memory DB replica set."
  }
}

Last updated

Was this helpful?